<?php

/**
 * CTools Export UI plugin for node link display configurations.
 */
$plugin = array(
  'schema' => 'node_link_style',
  'access' => 'administer node link styles',

  'menu' => array(
    'menu prefix' => 'admin/settings',
    'menu item' => 'node_link_style',
    'menu title' => 'Node link style',
    'menu description' => 'Configure node link displays.',
  ),

  'title singular' => t('style'),
  'title plural' => t('styles'),
  'title singular proper' => t('Node link style'),
  'title plural proper' => t('Node link styles'),

  'form' => array(
    'settings' => 'node_link_style_settings_form',
    'submit' => 'node_link_style_settings_form_submit',
  ),

  'handler' => array(
    'class' => 'node_link_style_export_ui',
    'parent' => 'ctools_export_ui',
  ),
);
